diskhits(1m)

NAME
diskhits - disk access by file offset. Uses DTrace.

SYNOPSIS
diskhits pathname

DESCRIPTION
This prints how a file was accessed, the locations on a distribution plot. This is for the cache misses only - the file activity that resulted in disk events. Since this uses DTrace, only users with root privileges can run this command.

EXAMPLES

Sample /var/adm/messages disk activity,
    # diskhits /var/adm/messages

FIELDS

Location (KB)
    the file offset of the disk activity, Kbytes

Size (KB)
    size of the disk activity, Kbytes

Total RW
    Total disk activity, reads + writes

BASED ON
/usr/demo/dtrace/applicat.d

DOCUMENTATION
DTrace Guide "io Provider" chapter (docs.sun.com) See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
diskhits will sample until Ctrl-C is hit.

SEE ALSO
dtrace(1M)